server {
        #listen {{ ansible_default_ipv4.address }}:443 ssl http2;
        listen {{ ansible_default_ipv4.address }};

        server_name _;

        #ssl_certificate /path
        #ssl_certificate_key /path

        #ssl_session_timeout 1d;
        #ssl_session_cache shared:MozSSL:10m;  # about 40000 sessions
        #ssl_session_tickets off;

        # modern configuration
        #ssl_protocols TLSv1.2 TLSv1.3;
        #ssl_ciphers ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384;
        #ssl_prefer_server_ciphers off;

        # HSTS (ngx_http_headers_module is required) (63072000 seconds)
        #add_header Strict-Transport-Security "max-age=63072000" always;

        # OCSP stapling
        #ssl_stapling on;
        #ssl_stapling_verify on;

        resolver 127.0.0.1;

        # RPC stuff
        location / {
          proxy_pass http://{{ bc_rpc_bind }}:{{ bc_rpc_port }};
          proxy_redirect off;
          proxy_socket_keepalive on;

          proxy_set_header X-Real-IP $remote_addr;
          proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
          proxy_set_header host $host;
          proxy_set_header X-NginX-Proxy true;

          proxy_http_version 1.1;
          proxy_set_header Upgrade $http_upgrade;
          proxy_set_header Connection "upgrade";
        }

        include /etc/nginx/sites-available/*.location;
}
